# Uses of Interface
org.eclipse.team.core.variants.IResourceVariant

Packages that use IResourceVariant
Package
Description
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.
org.eclipse.team.core.variants
Application programming interfaces for accessing and managing resource variants.

## Uses of IResourceVariant in org.eclipse.team.core.synchronize

Methods in org.eclipse.team.core.synchronize that return IResourceVariant
Modifier and Type
Method
Description
`IResourceVariant`
SyncInfo.`getBase()`
Returns the remote resource handle for the base resource, or `null` if the base resource does not exist.
`IResourceVariant`
SyncInfo.`getRemote()`
Returns the handle for the remote resource, or `null` if the remote resource does not exist.
Methods in org.eclipse.team.core.synchronize with parameters of type IResourceVariant
Modifier and Type
Method
Description
`boolean`
SyncInfoFilter.ContentComparisonSyncInfoFilter.`compareContents(IFile local, IResourceVariant remote, IProgressMonitor monitor)`
Compare the contents of the local file and its variant.
Constructors in org.eclipse.team.core.synchronize with parameters of type IResourceVariant
Modifier
Constructor
Description
``
`SyncInfo(IResource local, IResourceVariant base, IResourceVariant remote, IResourceVariantComparator comparator)`
Construct a sync info object.

## Uses of IResourceVariant in org.eclipse.team.core.variants

Classes in org.eclipse.team.core.variants that implement IResourceVariant
Modifier and Type
Class
Description
`class`
`CachedResourceVariant`
A resource variant is a partial implementation of a remote resource whose contents and handle are cached locally.
Methods in org.eclipse.team.core.variants that return IResourceVariant
Modifier and Type
Method
Description
`protected abstract IResourceVariant[]`
AbstractResourceVariantTree.`fetchMembers(IResourceVariant variant, IProgressMonitor progress)`
Fetch the members of the given resource variant handle.
`protected abstract IResourceVariant`
AbstractResourceVariantTree.`fetchVariant(IResource resource, int depth, IProgressMonitor monitor)`
Fetch the resource variant corresponding to the given resource.
`IResourceVariant`
IResourceVariantTree.`getResourceVariant(IResource resource)`
Return the resource variant corresponding to the local resource.
`IResourceVariant`
ThreeWayRemoteTree.`getResourceVariant(IResource resource)`
`abstract IResourceVariant`
ThreeWaySubscriber.`getResourceVariant(IResource resource, byte[] bytes)`
Create the resource variant for the given local resource from the given bytes.
Methods in org.eclipse.team.core.variants with parameters of type IResourceVariant
Modifier and Type
Method
Description
`protected IResource[]`
AbstractResourceVariantTree.`collectChanges(IResource local, IResourceVariant remote, int depth, IProgressMonitor monitor)`
Collect the changes in the remote tree to the specified depth.
`protected IResource[]`
ResourceVariantTree.`collectChanges(IResource local, IResourceVariant remote, int depth, IProgressMonitor monitor)`
`protected IResource[]`
ThreeWayRemoteTree.`collectChanges(IResource local, IResourceVariant remote, int depth, IProgressMonitor monitor)`
`boolean`
IResourceVariantComparator.`compare(IResource local, IResourceVariant remote)`
Returns `true` if the local resource matches the remote resource based on this criteria and `false` otherwise.
`boolean`
IResourceVariantComparator.`compare(IResourceVariant base, IResourceVariant remote)`
Returns `true` if the base resource matches the remote resource based on this criteria and `false` otherwise.
`boolean`
ThreeWayResourceComparator.`compare(IResource local, IResourceVariant remote)`
`boolean`
ThreeWayResourceComparator.`compare(IResourceVariant base, IResourceVariant remote)`
`protected abstract IResourceVariant[]`
AbstractResourceVariantTree.`fetchMembers(IResourceVariant variant, IProgressMonitor progress)`
Fetch the members of the given resource variant handle.
`protected byte[]`
ResourceVariantTree.`getBytes(IResource local, IResourceVariant remote)`
Get the bytes to be stored in the `ResourceVariantByteStore` from the given resource variant.
`protected SyncInfo`
ResourceVariantTreeSubscriber.`getSyncInfo(IResource local, IResourceVariant base, IResourceVariant remote)`
Method that creates an instance of SyncInfo for the provided local, base and remote resource variants.
`protected abstract boolean`
AbstractResourceVariantTree.`setVariant(IResource local, IResourceVariant remote)`
Set the variant associated with the local resource to the newly fetched resource variant.
`protected boolean`
ResourceVariantTree.`setVariant(IResource local, IResourceVariant remote)`